Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Interface ControllerInterface

All Known Implementing Classes:
  Accordion, Bang, Button, Chart, CheckBox, ColorPicker, ControlGroup, Controller, ControllerGroup, DropdownList, Group, Knob, ListBox, Matrix, MultiList, MultiListButton, Numberbox, Radio, RadioButton, Range, Slider, Slider2D, Tab, Textarea, Textfield, Textlabel, Toggle

    public interface ControllerInterface

The ControllerInterface is inherited by all ControllerGroup and Controller classes.

Method Summary
`java.lang.Object` | `add(ControllerInterface theElement)`
`java.lang.Object` | `addListener(ControlListener theListener)`
`java.lang.Object` | `bringToFront()`
`java.lang.Object` | `bringToFront(ControllerInterface theController)`
`void` | `continuousUpdateEvents()`
`void` | `draw(processing.core.PApplet theApplet)`
`processing.core.PVector` | `getAbsolutePosition()`
`java.lang.String` | `getAddress()`
`float[]` | `getArrayValue()`
`float` | `getArrayValue(int theIndex)`
`CColor` | `getColor()`
`int` | `getHeight()`
`int` | `getId()`
`java.lang.String` | `getName()`
`ControllerInterface` | `getParent()`
`int` | `getPickingColor()`
`processing.core.PVector` | `getPosition()`
`ControllerProperty` | `getProperty(java.lang.String thePropertyName)`
`ControllerProperty` | `getProperty(java.lang.String theSetter, java.lang.String theGetter)`
`java.lang.String` | `getStringValue()`
`Tab` | `getTab()`
`float` | `getValue()`
`int` | `getWidth()`
`ControlWindow` | `getWindow()`
`java.lang.Object` | `hide()`
`void` | `init()`
`boolean` | `isMouseOver()`
`boolean` | `isUpdate()`
`boolean` | `isVisible()`
`void` | `keyEvent(java.awt.event.KeyEvent theEvent)`
`java.lang.Object` | `moveTo(ControllerGroup theGroup)`
`java.lang.Object` | `moveTo(ControllerGroup theGroup, Tab theTab, ControlWindow theWindow)`
`ControllerInterface` | `parent()`
`java.lang.Object` | `registerProperty(java.lang.String thePropertyName)`
`java.lang.Object` | `registerProperty(java.lang.String theSetter, java.lang.String theGetter)`
`void` | `remove()`
`java.lang.Object` | `remove(ControllerInterface theElement)`
`java.lang.Object` | `removeProperty(java.lang.String thePropertyName)`
`java.lang.Object` | `removeProperty(java.lang.String theSetter, java.lang.String theGetter)`
`java.lang.Object` | `setAbsolutePosition(processing.core.PVector thePVector)`
`java.lang.Object` | `setAddress(java.lang.String theAddress)`
`java.lang.Object` | `setArrayValue(float[] theArray)`
`java.lang.Object` | `setArrayValue(int theIndex, float theValue)`
`java.lang.Object` | `setCaptionLabel(java.lang.String theValue)`
`java.lang.Object` | `setColor(CColor theColor)`
`java.lang.Object` | `setColorActive(int theColor)`
`java.lang.Object` | `setColorBackground(int theColor)`
`java.lang.Object` | `setColorForeground(int theColor)`
`java.lang.Object` | `setColorLabel(int theColor)`
`java.lang.Object` | `setColorValue(int theColor)`
`java.lang.Object` | `setId(int theValue)`
`java.lang.Object` | `setLabel(java.lang.String theString)`
`java.lang.Object` | `setMouseOver(boolean theFlag)`
`boolean` | `setMousePressed(boolean theStatus)`
`java.lang.Object` | `setPosition(float theX, float theY)`
`java.lang.Object` | `setPosition(processing.core.PVector thePVector)`
`java.lang.Object` | `setStringValue(java.lang.String theValue)`
`java.lang.Object` | `setUpdate(boolean theFlag)`
`java.lang.Object` | `setValue(float theValue)`
`java.lang.Object` | `show()`
`java.lang.Object` | `update()`
`java.lang.Object` | `updateAbsolutePosition()`
`java.lang.Object` | `updateEvents()`
`java.lang.Object` | `updateInternalEvents(processing.core.PApplet theApplet)` a method for putting input events like e.g.

Method Detail

### add

    java.lang.Object add(ControllerInterface theElement)

### addListener

    java.lang.Object addListener(ControlListener theListener)

### bringToFront

    java.lang.Object bringToFront()

### bringToFront

    java.lang.Object bringToFront(ControllerInterface theController)

### continuousUpdateEvents

    void continuousUpdateEvents()

### draw

    void draw(processing.core.PApplet theApplet)

### getAbsolutePosition

    processing.core.PVector getAbsolutePosition()

### getAddress

    java.lang.String getAddress()

### getArrayValue

    float[] getArrayValue()

### getArrayValue

    float getArrayValue(int theIndex)

### getColor

    CColor getColor()

### getHeight

    int getHeight()

### getId

    int getId()

### getName

    java.lang.String getName()

### getParent

    ControllerInterface getParent()

### getPickingColor

    int getPickingColor()

### getPosition

    processing.core.PVector getPosition()

### getProperty

    ControllerProperty getProperty(java.lang.String thePropertyName)

### getProperty

    ControllerProperty getProperty(java.lang.String theSetter,
                                   java.lang.String theGetter)

### getStringValue

    java.lang.String getStringValue()

### getTab

    Tab getTab()

### getValue

    float getValue()

### getWidth

    int getWidth()

### getWindow

    ControlWindow getWindow()

### hide

    java.lang.Object hide()

### init

    void init()

### isMouseOver

    boolean isMouseOver()

### isUpdate

    boolean isUpdate()

### isVisible

    boolean isVisible()

### keyEvent

    void keyEvent(java.awt.event.KeyEvent theEvent)

### moveTo

    java.lang.Object moveTo(ControllerGroup theGroup)

### moveTo

    java.lang.Object moveTo(ControllerGroup theGroup,
                            Tab theTab,
                            ControlWindow theWindow)

### parent

    ControllerInterface parent()

### registerProperty

    java.lang.Object registerProperty(java.lang.String thePropertyName)

### registerProperty

    java.lang.Object registerProperty(java.lang.String theSetter,
                                      java.lang.String theGetter)

### remove

    void remove()

### remove

    java.lang.Object remove(ControllerInterface theElement)

### removeProperty

    java.lang.Object removeProperty(java.lang.String thePropertyName)

### removeProperty

    java.lang.Object removeProperty(java.lang.String theSetter,
                                    java.lang.String theGetter)

### setAbsolutePosition

    java.lang.Object setAbsolutePosition(processing.core.PVector thePVector)

### setAddress

    java.lang.Object setAddress(java.lang.String theAddress)

### setArrayValue

    java.lang.Object setArrayValue(float[] theArray)

### setArrayValue

    java.lang.Object setArrayValue(int theIndex,
                                   float theValue)

### setCaptionLabel

    java.lang.Object setCaptionLabel(java.lang.String theValue)

### setColor

    java.lang.Object setColor(CColor theColor)

### setColorActive

    java.lang.Object setColorActive(int theColor)

### setColorBackground

    java.lang.Object setColorBackground(int theColor)

### setColorForeground

    java.lang.Object setColorForeground(int theColor)

### setColorLabel

    java.lang.Object setColorLabel(int theColor)

### setColorValue

    java.lang.Object setColorValue(int theColor)

### setId

    java.lang.Object setId(int theValue)

### setLabel

    java.lang.Object setLabel(java.lang.String theString)

### setMouseOver

    java.lang.Object setMouseOver(boolean theFlag)

### setMousePressed

    boolean setMousePressed(boolean theStatus)

### setPosition

    java.lang.Object setPosition(float theX,
                                 float theY)

### setPosition

    java.lang.Object setPosition(processing.core.PVector thePVector)

### setStringValue

    java.lang.Object setStringValue(java.lang.String theValue)

### setUpdate

    java.lang.Object setUpdate(boolean theFlag)

### setValue

    java.lang.Object setValue(float theValue)

### show

    java.lang.Object show()

### update

    java.lang.Object update()

### updateAbsolutePosition

    java.lang.Object updateAbsolutePosition()

### updateEvents

    java.lang.Object updateEvents()

### updateInternalEvents

    java.lang.Object updateInternalEvents(processing.core.PApplet theApplet)

  a method for putting input events like e.g. mouse or keyboard events and queries. this has been taken out of the draw method for better overwriting capability.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012